# class hk_kdesimpleform

KDE Widget to display forms. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdesimpleform.h>`
Inherits | QWidget (unknown) [public ], hk_form [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdesimpleform (QWidget* wid)
- virtual ~hk_kdesimpleform (void)
- void set_autoclose (bool c)
- void set_kdeform (hk_kdeform*)
- virtual bool set_mode (enum_mode s)
- hk_kdeproperty* propertyeditor (void)
- hk_kdeform* kdeform ()
- void set_focus (QWidget*)
- virtual void script_error (hk_visible*, hk_interpreter::enum_action)
- bool ctrl_key_pressed (void) const

#### Public Slots

- void set_field2create (enum_visibletype)
- const hk_kdeformfocus* formfocus (void)
- void show_property (void)
- void set_for_all (enum_bulkoperation)
- void copy (void)
- void paste (void)
- void cut (void)

#### Signals

- void closeform (void)
- void mouseclick (const QPoint&)
- void field_created (void)

#### Protected Methods

- virtual hk_dsgrid* widget_specific_new_grid (void)
- virtual hk_dsrowselector* widget_specific_new_rowselector (void)
- virtual hk_dslineedit* widget_specific_new_lineedit (void)
- virtual hk_dsboolean* widget_specific_new_bool (void)
- virtual hk_dsmemo* widget_specific_new_memo (void)
- virtual hk_button* widget_specific_new_button (void)
- virtual hk_dscombobox* widget_specific_new_combobox (void)
- virtual hk_label* widget_specific_new_label (void)
- virtual void widget_specific_fieldresize (hk_visible* v)
- virtual void widget_specific_presentationresize (void)
- virtual void before_source_vanishes (void)
- virtual void widget_specific_modechanges (enum_mode)
- virtual void widget_specific_presentationdatasource (long)
- virtual void paintEvent (QPaintEvent*)
- virtual void mousePressEvent (QMouseEvent*)
- virtual void mouseReleaseEvent (QMouseEvent*)
- virtual void widget_specific_after_loadform (void)
- virtual void keyPressEvent ( QKeyEvent * )
- virtual void keyReleaseEvent ( QKeyEvent * )
- virtual void database_has_vanished (void)
- virtual void widget_specific_backgroundcolour_changed (const hk_colour&)
- virtual void widget_specific_foregroundcolour_changed (const hk_colour&)
- bool eventFilter (QObject* object,QEvent* event)
- bool formeventFilter (QObject* object,QEvent* event)

#### Protected Slots

- void delete_widgets (void)
- void copy_widgets (void)
- void paste_widgets (void)
- void cut_widgets (void)
- void enable_actions (void)
- void grid_partinfocus (hk_kdegridpart*)
- void grid_partoutfocus (hk_kdegridpart*)
- void dbdesignaction (void)

## Detailed Description

hk_kdesimpleform is a KDE widget to display and alter forms. Just set the database with hk_presentation::set_database. Load existing forms with hk_form::load_form. If hk_presentation::mode is set to 'view' the data will be shown. In mode 'design' you can design your widget. For interactive use it is better to use hk_kdeform because it provides toolbars.

hk_kdesimpleform (QWidget* wid)

### hk_kdesimpleform

~hk_kdesimpleform (void)

### ~hk_kdesimpleform

[virtual]

void set_autoclose (bool c)

### set_autoclose

if true the widget will be destroyed when the widget will be closed else just hidden

void set_kdeform (hk_kdeform*)

### set_kdeform

bool set_mode (enum_mode s)

### set_mode

[virtual]

Reimplemented from hk_form.

hk_kdeproperty* propertyeditor (void)

### propertyeditor

hk_kdeform* kdeform ()

### kdeform

void set_focus (QWidget*)

### set_focus

void script_error (hk_visible*, hk_interpreter::enum_action)

### script_error

[virtual]

Reimplemented from hk_presentation.

bool ctrl_key_pressed (void)

### ctrl_key_pressed

[const]

void closeform (void)

### closeform

[signal]

void mouseclick (const QPoint&)

### mouseclick

[signal]

void field_created (void)

### field_created

[signal]

void set_field2create (enum_visibletype)

### set_field2create

[slot]

const hk_kdeformfocus* formfocus (void)

### formfocus

[slot]

void show_property (void)

### show_property

[slot]

void set_for_all (enum_bulkoperation)

### set_for_all

[slot]

void copy (void)

### copy

[slot]

void paste (void)

### paste

[slot]

void cut (void)

### cut

[slot]

hk_dsgrid* widget_specific_new_grid (void)

### widget_specific_new_grid

[protected virtual]

Reimplemented from hk_form.

hk_dsrowselector* widget_specific_new_rowselector (void)

### widget_specific_new_rowselector

[protected virtual]

Reimplemented from hk_form.

hk_dslineedit* widget_specific_new_lineedit (void)

### widget_specific_new_lineedit

[protected virtual]

Reimplemented from hk_form.

hk_dsboolean* widget_specific_new_bool (void)

### widget_specific_new_bool

[protected virtual]

Reimplemented from hk_form.

hk_dsmemo* widget_specific_new_memo (void)

### widget_specific_new_memo

[protected virtual]

Reimplemented from hk_form.

hk_button* widget_specific_new_button (void)

### widget_specific_new_button

[protected virtual]

Reimplemented from hk_form.

hk_dscombobox* widget_specific_new_combobox (void)

### widget_specific_new_combobox

[protected virtual]

Reimplemented from hk_form.

hk_label* widget_specific_new_label (void)

### widget_specific_new_label

[protected virtual]

Reimplemented from hk_form.

void widget_specific_fieldresize (hk_visible* v)

### widget_specific_fieldresize

[protected virtual]

Reimplemented from hk_form.

void widget_specific_presentationresize (void)

### widget_specific_presentationresize

[protected virtual]

Reimplemented from hk_presentation.

void before_source_vanishes (void)

### before_source_vanishes

[protected virtual]

Reimplemented from hk_presentation.

void widget_specific_modechanges (enum_mode)

### widget_specific_modechanges

[protected virtual]

void widget_specific_presentationdatasource (long)

### widget_specific_presentationdatasource

[protected virtual]

void paintEvent (QPaintEvent*)

### paintEvent

[protected virtual]

void mousePressEvent (QMouseEvent*)

### mousePressEvent

[protected virtual]

void mouseReleaseEvent (QMouseEvent*)

### mouseReleaseEvent

[protected virtual]

void widget_specific_after_loadform (void)

### widget_specific_after_loadform

[protected virtual]

Reimplemented from hk_form.

void keyPressEvent ( QKeyEvent * )

### keyPressEvent

[protected virtual]

void keyReleaseEvent ( QKeyEvent * )

### keyReleaseEvent

[protected virtual]

void database_has_vanished (void)

### database_has_vanished

[protected virtual]

Reimplemented from hk_presentation.

void widget_specific_backgroundcolour_changed (const hk_colour&)

### widget_specific_backgroundcolour_changed

[protected virtual]

void widget_specific_foregroundcolour_changed (const hk_colour&)

### widget_specific_foregroundcolour_changed

[protected virtual]

bool eventFilter (QObject* object,QEvent* event)

### eventFilter

[protected]

bool formeventFilter (QObject* object,QEvent* event)

### formeventFilter

[protected]

void delete_widgets (void)

### delete_widgets

[protected slots slot]

void copy_widgets (void)

### copy_widgets

[protected slots slot]

void paste_widgets (void)

### paste_widgets

[protected slots slot]

void cut_widgets (void)

### cut_widgets

[protected slots slot]

void enable_actions (void)

### enable_actions

[protected slots slot]

void grid_partinfocus (hk_kdegridpart*)

### grid_partinfocus

[protected slots slot]

void grid_partoutfocus (hk_kdegridpart*)

### grid_partoutfocus

[protected slots slot]

void dbdesignaction (void)

### dbdesignaction

[protected slots slot]

- Version: $Revision: 1.29 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.